Loading...
Searching...
No Matches
RDKit::MolStandardize::FragmentRemover Class Reference

`#include <Fragment.h>`

## Public Member Functions

| FragmentRemover ()
| FragmentRemover (const std::string fragmentFile, bool leave_last, bool skip_if_all_match=false)
| FragmentRemover (std::istream &fragmentStream, bool leave_last, bool skip_if_all_match=false)
| FragmentRemover (const std::vector< std::pair< std::string, std::string > > &data, bool leave_last, bool skip_if_all_match=false)
| ~FragmentRemover ()
| FragmentRemover (const FragmentRemover &other)=delete
| making FragmentRemover objects non-copyable
FragmentRemover & | operator= (FragmentRemover const &)=delete
ROMol * | remove (const ROMol &mol)
void | removeInPlace (RWMol &mol)

## Detailed Description

Definition at line 31 of file Fragment.h.

## Constructor & Destructor Documentation

## FragmentRemover() [1/5]

RDKit::MolStandardize::FragmentRemover::FragmentRemover | ( |  | ) |

Referenced by FragmentRemover(), and operator=().

## FragmentRemover() [2/5]

RDKit::MolStandardize::FragmentRemover::FragmentRemover | ( | const std::string | fragmentFile,
|  | bool | leave_last,
|  | bool | skip_if_all_match = false )

## FragmentRemover() [3/5]

RDKit::MolStandardize::FragmentRemover::FragmentRemover | ( | std::istream & | fragmentStream,
|  | bool | leave_last,
|  | bool | skip_if_all_match = false )

## FragmentRemover() [4/5]

RDKit::MolStandardize::FragmentRemover::FragmentRemover | ( | const std::vector< std::pair< std::string, std::string > > & | data,
|  | bool | leave_last,
|  | bool | skip_if_all_match = false )

## ~FragmentRemover()

RDKit::MolStandardize::FragmentRemover::~FragmentRemover | ( |  | ) |

## FragmentRemover() [5/5]

RDKit::MolStandardize::FragmentRemover::FragmentRemover | ( | const FragmentRemover & | other | ) |

delete

making FragmentRemover objects non-copyable

References FragmentRemover().

## Member Function Documentation

## operator=()

FragmentRemover & RDKit::MolStandardize::FragmentRemover::operator= | ( | FragmentRemover const & |  | ) |

delete

References FragmentRemover().

## remove()

ROMol * RDKit::MolStandardize::FragmentRemover::remove | ( | const ROMol & | mol | ) |

## removeInPlace()

void RDKit::MolStandardize::FragmentRemover::removeInPlace | ( | RWMol & | mol | ) |

The documentation for this class was generated from the following file:

- Fragment.h